Package de.willuhn.jameica.hbci.gui.controller

# Class AbstractTransferControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractTransferControl

Direct Known Subclasses:
  `AbstractBaseUeberweisungControl`, `DauerauftragControl`

public abstract class AbstractTransferControl extends de.willuhn.jameica.gui.AbstractControl
Abstrakter Basis-Controler fuer die Zahlungen.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`AbstractTransferControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getBetrag()`
Liefert das Eingabe-Feld fuer den Betrag.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerBlz()`
Liefert das Eingabe-Feld fuer die BLZ.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerKonto()`
Liefert das Eingabe-Feld fuer den Empfaenger.
`AddressInput`
`getEmpfaengerName()`
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.
`Konto`
`getKonto()`
Liefert das Konto der Ueberweisung.
`KontoInput`
`getKontoAuswahl()`
Liefert ein Auswahlfeld fuer das Konto.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getStoreEmpfaenger()`
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.
`abstract HibiscusTransfer`
`getTransfer()`
Liefert den Transfer.
`de.willuhn.jameica.gui.input.TextInput`
`getZweck()`
Liefert das Eingabe-Feld fuer den Verwendungszweck.
`de.willuhn.jameica.gui.input.DialogInput`
`getZweck2()`
Liefert das Eingabe-Feld fuer den "weiteren" Verwendungszweck.
`boolean`
`handleStore()`
Speichert den Geld-Transfer.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractTransferControl

public AbstractTransferControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getTransfer

public abstract HibiscusTransfer getTransfer() throws RemoteException
Liefert den Transfer.

Returns:
  der Transfer oder `null` wenn keiner existiert.
Throws:
  `RemoteException`

### getKonto

public Konto getKonto() throws RemoteException
Liefert das Konto der Ueberweisung.

Returns:
  das Konto.
Throws:
  `RemoteException`

### getKontoAuswahl

public KontoInput getKontoAuswahl() throws RemoteException
Liefert ein Auswahlfeld fuer das Konto.

Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`

### getEmpfaengerName

public AddressInput getEmpfaengerName() throws RemoteException
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerKonto

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerKonto() throws RemoteException
Liefert das Eingabe-Feld fuer den Empfaenger.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerBlz

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerBlz() throws RemoteException
Liefert das Eingabe-Feld fuer die BLZ.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweck

public de.willuhn.jameica.gui.input.TextInput getZweck() throws RemoteException
Liefert das Eingabe-Feld fuer den Verwendungszweck.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweck2

public de.willuhn.jameica.gui.input.DialogInput getZweck2() throws RemoteException
Liefert das Eingabe-Feld fuer den "weiteren" Verwendungszweck.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getBetrag

public de.willuhn.jameica.gui.input.Input getBetrag() throws RemoteException
Liefert das Eingabe-Feld fuer den Betrag.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getStoreEmpfaenger

public de.willuhn.jameica.gui.input.CheckboxInput getStoreEmpfaenger() throws RemoteException
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.

Returns:
  CheckBox.
Throws:
  `RemoteException`

### handleStore

public boolean handleStore()
Speichert den Geld-Transfer.

Returns:
  true, wenn das Speichern erfolgreich war.